> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tests Stats

> Retrieve statistics of workflow tests.



## OpenAPI

````yaml get /apps/{app_id}/workflows/{workflow_id}/tests/stats
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/workflows/{workflow_id}/tests/stats:
    get:
      summary: Get Tests Stats
      description: Retrieve statistics of workflow tests.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the workflow
          name: workflow_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/WorkflowTestStatsSchema'
                  - description: Statistics about workflow tests
components:
  schemas:
    WorkflowTestStatsSchema:
      type: object
      nullable: true
      properties:
        total_count:
          type: number
          description: Total number of workflow tests
        running_count:
          type: number
          description: Number of running workflow tests
        cancelled_count:
          type: number
          description: Number of cancelled workflow tests
        passing_count:
          type: number
          description: Number of passing workflow tests
        failing_count:
          type: number
          description: Number of failing workflow tests
        expectations_failing_count:
          type: number
          description: Number of expectations failing in workflow tests
        expectations_passing_count:
          type: number
          description: Number of expectations passing in workflow tests
      required:
        - total_count
        - running_count
        - cancelled_count
        - passing_count
        - failing_count
        - expectations_failing_count
        - expectations_passing_count
      description: Statistics of the workflow tests

````